Query order specify of your money back order
GET https://{handle}.myshopline.com/admin/openapi/v20261201/orders/:order_id/refunds/:refund_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- order_id string requiredOrder idExample:
21057168152571061289431726 - refund_id string requiredRefund single idExample:
22057168152571061289431726
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
refundobject
Refund ordertransactionsobject[]
Refund transaction informationcurrency stringCurrencyExample:CNYorder_id stringOrder numberExample:21056836827909126061559008amount stringRefund amount , accuracy 2Example:100user_id stringBuyer IDExample:"4323434kind stringTransaction type (authorization, capture, sale, void, refund)Example:refundid stringRefund IDExample:10100112220607455014540963840status stringHandling status, pending, failure, success, and errorExample:successcreated_at stringCreation timeExample:2022-10-03T12:44:45-04:00processed_at stringCreation timeExample:2022-10-03T12:44:45-04:00processed_at stringUpdate time (see IOS8601 for the format)Example:2022-10-03T12:44:45-04:00created_at stringRefund form creation time (see IOS8601 for the format)Example:2022-10-03T12:44:45-04:00order_adjustmentsobject[]
Adjust the order informationkind stringAdjust single typeExample:shipping_refundorder_id stringOrder numberExample:21057168152571061289431726reason stringAdjust the reasonExample:reason msgtax_amount stringAdjust the single tax amountExample:100tax_amount_setobject
Adjust the single tax amountshop_moneyobject
Store adjusts the amount of single taxamount doubleStore adjusts the amount of single taxExample:9.9currency_code stringStore adjustment of single tax currencyExample:CNYpresentment_moneyobject
Store adjustment single display tax amountamount doubleStore adjustment single display tax amountExample:9.9currency_code stringStore adjustment single display tax currencyExample:CNYid stringRefund adjustment single idExample:2309123221222208434amount_setobject
Adjust the single amountpresentment_moneyobject
Store adjustment of displayamount doubleStore adjustment of displayExample:100currency_code stringStore adjustment of display amount currencyExample:CNYshop_moneyobject
Store adjustment amountamount doubleStore adjustment amountExample:100currency_code stringStore adjust the amount currencyExample:CYNamount stringAdjust the single amountExample:100refund_id stringRefund single idExample:27057168152571061289431726refund_line_itemsobject[]
Refund Detailsid stringRefund order numberExample:27057168152571061289431726line_itemobject
Product rowstaxable booleanTax or not?Example:truename stringSKU title, same as titleExample:Sku titlevariant_id stringProduct SKU serial numberExample:18054488231146952151833534id stringThe ID of the product snapshot table, generated by the system, uniquely confirms a product with the order numberExample:2655436734527560fulfillment_status stringThe shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;Example:partialgrams doubleWeight ( grams )Example:1.2quantity integerQuantity of items in the orderExample:1fulfillable_quantity integerAvailable quantityExample:1title stringProduct titleExample:Product titlerequires_shipping booleanShipping or notExample:truevariant_title stringCommodity attribute value, multiple divided by " / ", such as: "155 / red / large"Example:155 / red / largevendor stringSupplierExample:Supplierattribute stringProduct attributes : name-attribute value multiple comma " , " division like : color-red , size-xExample:Size-xsku stringProduct code, barCodeExample:18054488231146952151833534tax_linesobject[]
Tax informationrate doubleTax rateExample:1.2title stringHeadlineExample:Headlineprice stringTax, precision 2Example:100price_setobject
Multi-currency information of taxshop_moneyobject
Sell side amount informationcurrency_code stringCurrencyExample:CNYamount stringAmountExample:100presentment_moneyobject
Buy side currencyamount stringAmount, Precision 2Example:100currency_code stringCurrencyExample:CNYprice stringCommodity price, precision 2Example:100price_setobject
Product selling price , multi-currency informationpresentment_moneyobject
Buy side currencycurrency_code stringCurrencyamount stringAmountshop_moneyobject
Sell side currencyamount stringAmountcurrency_code stringCurrencyfulfillment_service stringLogistics company nameExample:Go squareproduct_id stringSPU serial numberExample:18054488231146952151833534restock_type stringInventory return type , no_restock- is not returned , cancel- is cancelled , return- is returnedExample:no_restocksubtotal_setobject
Total refund amount, multi-currency information, same on seller and buyer sidepresentment_moneyobject
Buy side currencyamount stringAmountExample:100currency_code stringCurrencyExample:CNYshop_moneyobject
Sell side amount informationamount stringAmountExample:100currency_code stringCurrencyExample:CNYquantity integerQuantity, quantity of goodsExample:1subtotal doubleTotal refund amount, precision 2Example:100total_tax doubleTax amount of refunded goods, precision 2Example:100total_tax_setobject
Total tax amount, multi-currency informationshop_moneyobject
Sell side currencycurrency_code stringCurrencyExample:CNYamount stringAmountExample:100presentment_moneyobject
Buy side currencyamount stringAmountExample:100currency_code stringCurrencyExample:CNYline_item_id stringThe ID of the product snapshot table, generated by the system, uniquely confirms a product with the order numberExample:23312553324324user_id stringUser IDExample:16576456note stringRefund NotesExample:Notesorder_id stringOrder numberExample:21057168152571061289431726id stringRefund IDExample:SL201AS4571669738589065294total_duties_setobject
Refund total dutypresentment_moneyobject
Buyer side amount informationamount stringAmountcurrency_code stringCurrencyshop_moneyobject
Sell side amount informationcurrency_code stringCurrencyamount stringAmount
API Explorer
Debugger
Was this article helpful to you?